<template>
  <div
    class="flex items-center px-4 bg-background3 mobile-header-style-3 h-12 justify-center relative"
  >
    <m-header-style-module-tiny-hamburger class="absolute left-4" />
    <div v-if="!logo.IsHidden" class="logo">
      <nuxt-link :to="logo.HyperLink ? `/${logo.HyperLink}` : '/'">
        <figure class="object-contain h-[30px]">
          <img
            :src="logo.ImagePath"
            alt="Dark Theme"
            class="object-contain object-center h-[30px] w-[90px]"
          />
        </figure>
      </nuxt-link>
      <div
        v-if="auth"
        class="wallet-amount absolute right-0 top-0 bottom-0 flex items-center"
      >
        <utils-balance-information />
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { useHeaderComponent } from "@/composables/useTheme";
import useHeaderRender from "@/composables/useHeaderRender";

const { logo } = useHeaderRender();
const { auth } = useHeaderComponent();
onMounted(() => {
  document.documentElement.style.setProperty("--header-height", "48px");
  document.documentElement.style.setProperty("--border-width", "2px");
});
</script>

<style lang="scss">
.wallet-amount {
  .balance-currency {
    display: block;
    text-align: end;
  }
}
.mobile-header-style-3 {
  .has-unread-message::before {
    content: "";
    position: absolute;
    top: 7px;
    right: 4px;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: var(--failure);
    z-index: 100;
  }
}
</style>
